# Compiler Info ('g++-4.1 --version')
# g++-4.1 (GCC) 4.1.2 20080704 (Red Hat 4.1.2-46)
# Copyright (C) 2006 Free Software Foundation, Inc.
# This is free software; see the source for copying conditions.  There is NO
# warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# End Compiler Info Output
QTDIR ?= /home/jon/dev/linux64/Thirdparty/Qt/4.6.2/bin/linux-64-x86-release-410/
MOC = $(QTDIR)/bin/moc
NDKDIR ?= ../../../
MYCXX ?= g++
LINK ?= g++
INCPATH = -I$(NDKDIR)/include -I$(QTDIR)/include
CXXFLAGS ?= -g -c -DUSE_GLEW -fPIC -msse $(INCPATH)
LINKFLAGS ?= -L$(NDKDIR)
LIBS ?= -lDDImage -lQtGui
LINKFLAGS += -shared
all: AddCustomQt.so
.PRECIOUS : %.os
AddCustomQt.moc: AddCustomQt.moc.h
	$(MOC) $(DEFINES) $(INCPATH) -i $< -o $@
AddCustomQt.os: AddCustomQt.cpp AddCustomQt.moc
	$(MYCXX) $(CXXFLAGS) -o $(@) $<
AddCustomQt.so: AddCustomQt.os
	$(LINK) $(LINKFLAGS) $(LIBS) -o $(@) $<
clean:
	rm -rf *.os AddCustomQt.so AddCustomQt.moc
 
	
	
